# Asynchronous Examples

Code examples and methods that use the [async][pupil_labs.realtime_api] api mode. Includes descriptions of
how to use them.

## Connect to a Device

-   [Discover Devices](async/connect-to-a-device.md)
-   [Device Information](async/connect-to-a-device.md#device-information)
-   [Automatic Status Updates](async/connect-to-a-device.md#automatic-status-updates)

## Remote Control Devices

-   [Start, Stop, Save and Cancel Recordings](async/remote-control.md#start-stop-and-save-and-cancel-recordings)
-   [Send Event](async/remote-control.md#send-event)

## Streaming

-   [Gaze Data](async/streaming/gaze.md)
-   [Scene Camera Video](async/streaming/scene-camera.md)
-   [Scene Camera Video with Overlayed Gaze](async/streaming/scene-camera.md#scene-camera-video-with-overlayed-gaze)
-   [Scene Camera Video with Overlayed Eyes Video and Gaze Circle](async/streaming/scene-camera.md##scene-camera-video-with-overlayed-eyes-video-and-gaze-circle)
-   [Eyes Camera Video](async/streaming/eyes-camera-video)
-   [IMU Data](async/streaming/imu-data.md)
-   [Blinks, Fixations & Saccades](async/streaming/eye-events.md)

## Templates

-   [Fetch, fill and save templates](async/templates.md)

## Others

-   [Camera Calibration](async/others.md#camera-calibration)
-   [Time Offset](async/others.md#time-offset)
