# Stream IMU Data

<!-- badge:product Neon -->
<!-- badge:version +1.1.2 -->

Data generated by the IMU can be received using the [`receive_imu_data`][pupil_labs.realtime_api.streaming.imu.receive_imu_data] method. It returns a UTC timestamp in seconds, the head pose as a quaternion, gyro data, and accelerometer data as follows.

```py linenums="0"
IMUData(
    gyro_data=Data3D(x=-0.1659393310546875, y=-0.1964569091796875, z=0.1735687255859375),
    accel_data=Data3D(x=-0.02880859375, y=-0.224609375, z=1.0068359375),
    quaternion=Quaternion(x=-0.06114135682582855, y=-0.090116947889328, z=0.8700147271156311, w=0.48084819316864014),
    timestamp_unix_seconds=1744297102.1941311
)
```

??? example "Check the whole example code here"

    ```py title="stream_imu.py" linenums="1"
    --8<-- "examples/async/stream_imu.py"
    ```
